Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Hi! Some problem with xserver-xorg-video-nouveau and mesa-vdpau-drivers on Ubuntu 16.04.
    After ppa add try to dist-upgrsdeL
    :~$ LANG=en_EN.UTF-8 sudo apt dist-upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
    libomxil-bellagio-bin:i386 libomxil-bellagio0:i386 libxvmc1:i386
    Use 'sudo apt autoremove' to remove them.
    The following NEW packages will be installed:
    libomxil-bellagio-bin:i386 libomxil-bellagio0:i386 libxvmc1:i386
    The following packages have been kept back:
    mesa-vdpau-drivers mesa-vdpau-drivers:i386
    The following packages will be upgraded:
    libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm-intel1 libdrm-intel1:i386
    libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386
    libdrm2 libdrm2:i386 libegl1-mesa libegl1-mesa:i386 libegl1-mesa-drivers
    libgbm1 libgbm1:i386 libgl1-mesa-dri libgl1-mesa-dri:i386 libgl1-mesa-glx
    libgl1-mesa-glx:i386 libglapi-mesa libglapi-mesa:i386 libgles1-mesa
    libgles2-mesa libllvm3.8 libllvm3.8:i386 libosmesa6 libosmesa6:i386
    libwayland-egl1-mesa libwayland-egl1-mesa:i386 libxatracker2
    xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-intel
    xserver-xorg-video-nouveau xserver-xorg-video-radeon
    35 upgraded, 3 newly installed, 0 to remove and 2 not upgraded.
    Need to get 39.2 MB of archives.
    After this operation, 72.4 MB of additional disk space will be used.
    Do you want to continue? [Y/n]
    Then try to install mesa-vdpau-drivers separable:
    :~$ LANG=en_EN.UTF-8 sudo apt install mesa-vdpau-drivers
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    mesa-vdpau-drivers : Depends: libomxil-bellagio0 but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.

    And at least:
    :~$ LANG=en_EN.UTF-8 sudo apt install mesa-vdpau-drivers libomxil-bellagio0 mesa-vdpau-drivers:i386 libomxil-bellagio0:i386
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libomxil-bellagio0 : Conflicts: libomxil-bellagio0:i386 but 0.9.3-3ubuntu1 is to be installed
    libomxil-bellagio0:i386 : Depends: libomxil-bellagio-bin:i386 (= 0.9.3-3ubuntu1) but it is not going to be installed
    Conflicts: libomxil-bellagio0 but 0.9.3-3ubuntu1 is to be installed
    E: Unable to correct problems, you have held broken packages.

    Last edited by Labaman; 07-01-2016, 05:59 AM.

    Comment


    • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

      My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
      For my 980 i enabled the nouveau-driver.

      The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

      /lib/firmware/nvidia/gm204/gr/

      it tries one level higher and fails to find the files.

      Code:
       
       [    4.501767] nouveau 0000:01:00.0: Direct firmware load for nvidia/gm204/fecs_inst.bin failed with error -2 [    4.501769] nouveau 0000:01:00.0: gr: failed to load fecs_inst
      Code:
       
       [email protected]:~$ ll /lib/firmware/nvidia/gm204/ total 0 drwxr-xr-x 4 root root  36 Jul  1 05:25 ./ drwxr-xr-x 9 root root 124 Jul  1 05:25 ../ drwxr-xr-x 2 root root  75 Jul  1 05:26 acr/ drwxr-xr-x 2 root root 272 Jul  1 05:26 gr/ [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/ total 6 drwxr-xr-x 2 root root  272 Jul  1 05:26 ./ drwxr-xr-x 4 root root   36 Jul  1 05:25 ../ lrwxrwxrwx 1 root root   26 May  6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin -rw-r--r-- 1 root root 1968 May  6 12:42 fecs_data.bin lrwxrwxrwx 1 root root   28 May  6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin -rw-r--r-- 1 root root   76 May  6 12:42 fecs_sig.bin lrwxrwxrwx 1 root root   27 May  6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin -rw-r--r-- 1 root root 2056 May  6 12:42 gpccs_data.bin lrwxrwxrwx 1 root root   29 May  6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin -rw-r--r-- 1 root root   76 May  6 12:42 gpccs_sig.bin lrwxrwxrwx 1 root root   33 May  6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin lrwxrwxrwx 1 root root   25 May  6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin lrwxrwxrwx 1 root root   33 May  6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin lrwxrwxrwx 1 root root   28 May  6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bi
      Is that a failed install or how did some old code get into that stack?

      Comment


      • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

        My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
        For my 980 i enabled the nouveau-driver.

        The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

        /lib/firmware/nvidia/gm204/gr/

        it tries one level higher and fails to find the files.


        [ 4.501767] nouveau 0000:01:00.0: Direct firmware load for nvidia/gm204/fecs_inst.bin failed with error -2 [ 4.501769] nouveau 0000:01:00.0: gr: failed to load fecs_inst [email protected]:~$ ll /lib/firmware/nvidia/gm204/
        total 0 drwxr-xr-x 4 root root 36 Jul 1 05:25 ./ drwxr-xr-x 9 root root 124 Jul 1 05:25 ../ drwxr-xr-x 2 root root 75 Jul 1 05:26 acr/ drwxr-xr-x 2 root root 272 Jul 1 05:26 gr/ [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/ total 6 drwxr-xr-x 2 root root 272 Jul 1 05:26 ./ drwxr-xr-x 4 root root 36 Jul 1 05:25 ../ lrwxrwxrwx 1 root root 26 May 6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin -rw-r--r-- 1 root root 1968 May 6 12:42 fecs_data.bin lrwxrwxrwx 1 root root 28 May 6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin -rw-r--r-- 1 root root 76 May 6 12:42 fecs_sig.bin lrwxrwxrwx 1 root root 27 May 6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin -rw-r--r-- 1 root root 2056 May 6 12:42 gpccs_data.bin lrwxrwxrwx 1 root root 29 May 6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin -rw-r--r-- 1 root root 76 May 6 12:42 gpccs_sig.bin lrwxrwxrwx 1 root root 33 May 6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin lrwxrwxrwx 1 root root 25 May 6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin lrwxrwxrwx 1 root root 33 May 6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin lrwxrwxrwx 1 root root 28 May 6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bin Is that a failed install or how did some old code get into that stack?

        Comment


        • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

          My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
          For my 980 i enabled the nouveau-driver.

          The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

          /lib/firmware/nvidia/gm204/gr/

          it tries one level higher and fails to find the files.

          Code:
           
           [    4.501767] nouveau 0000:01:00.0: Direct firmware load for nvidia/gm204/fecs_inst.bin failed with error -2 [    4.501769] nouveau 0000:01:00.0: gr: failed to load fecs_inst
          Code:
          [email protected]:~$ ll /lib/firmware/nvidia/gm204/ 
           total 0 drwxr-xr-x 4 root root  36 Jul  1 05:25 ./ drwxr-xr-x 9 root root 124 Jul  1 05:25 ../ drwxr-xr-x 2 root root  75 Jul  1 05:26 acr/ drwxr-xr-x 2 root root 272 Jul  1 05:26 gr/ [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/ total 6 drwxr-xr-x 2 root root  272 Jul  1 05:26 ./ drwxr-xr-x 4 root root   36 Jul  1 05:25 ../ lrwxrwxrwx 1 root root   26 May  6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin -rw-r--r-- 1 root root 1968 May  6 12:42 fecs_data.bin lrwxrwxrwx 1 root root   28 May  6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin -rw-r--r-- 1 root root   76 May  6 12:42 fecs_sig.bin lrwxrwxrwx 1 root root   27 May  6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin -rw-r--r-- 1 root root 2056 May  6 12:42 gpccs_data.bin lrwxrwxrwx 1 root root   29 May  6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin -rw-r--r-- 1 root root   76 May  6 12:42 gpccs_sig.bin lrwxrwxrwx 1 root root   33 May  6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin lrwxrwxrwx 1 root root   25 May  6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin lrwxrwxrwx 1 root root   33 May  6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin lrwxrwxrwx 1 root root   28 May  6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bin
          Is that a failed install, is there old code in the stack?

          Comment


          • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

            My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
            For my 980 i enabled the nouveau-driver.

            The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

            /lib/firmware/nvidia/gm204/gr/

            it tries one level higher and fails to find the files.

            Code:
            [    4.501767] nouveau 0000:01:00.0: Direct firmware load for nvidia/gm204/fecs_inst.bin failed with error -2
            [    4.501769] nouveau 0000:01:00.0: gr: failed to load fecs_inst
            Code:
            [email protected]:~$ ll /lib/firmware/nvidia/gm204/
            
            total 0
            drwxr-xr-x 4 root root  36 Jul  1 05:25 ./
            drwxr-xr-x 9 root root 124 Jul  1 05:25 ../
            drwxr-xr-x 2 root root  75 Jul  1 05:26 acr/
            drwxr-xr-x 2 root root 272 Jul  1 05:26 gr/
            [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/
            total 6
            drwxr-xr-x 2 root root  272 Jul  1 05:26 ./
            drwxr-xr-x 4 root root   36 Jul  1 05:25 ../
            lrwxrwxrwx 1 root root   26 May  6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin
            -rw-r--r-- 1 root root 1968 May  6 12:42 fecs_data.bin
            lrwxrwxrwx 1 root root   28 May  6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin
            -rw-r--r-- 1 root root   76 May  6 12:42 fecs_sig.bin
            lrwxrwxrwx 1 root root   27 May  6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin
            -rw-r--r-- 1 root root 2056 May  6 12:42 gpccs_data.bin
            lrwxrwxrwx 1 root root   29 May  6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin
            -rw-r--r-- 1 root root   76 May  6 12:42 gpccs_sig.bin
            lrwxrwxrwx 1 root root   33 May  6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin
            lrwxrwxrwx 1 root root   25 May  6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin
            lrwxrwxrwx 1 root root   33 May  6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin
            lrwxrwxrwx 1 root root   28 May  6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bin
            Is that a failed install, is there old code in the stack?

            Comment


            • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

              My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
              For my 980 i enabled the nouveau-driver.

              The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

              /lib/firmware/nvidia/gm204/gr/

              it tries one level higher and fails to find the files.

              Code:
              nouveau 0000:01:00.0: Direct firmware load for nvidia/gm204/fecs_inst.bin failed with error -2
              nouveau 0000:01:00.0: gr: failed to load fecs_inst
              Code:
              [email protected]:~$ ll /lib/firmware/nvidia/gm204/
              
              total 0
              drwxr-xr-x 4 root root  36 Jul  1 05:25 ./
              drwxr-xr-x 9 root root 124 Jul  1 05:25 ../
              drwxr-xr-x 2 root root  75 Jul  1 05:26 acr/
              drwxr-xr-x 2 root root 272 Jul  1 05:26 gr/
              [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/
              total 6
              drwxr-xr-x 2 root root  272 Jul  1 05:26 ./
              drwxr-xr-x 4 root root   36 Jul  1 05:25 ../
              lrwxrwxrwx 1 root root   26 May  6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin
              -rw-r--r-- 1 root root 1968 May  6 12:42 fecs_data.bin
              lrwxrwxrwx 1 root root   28 May  6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin
              -rw-r--r-- 1 root root   76 May  6 12:42 fecs_sig.bin
              lrwxrwxrwx 1 root root   27 May  6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin
              -rw-r--r-- 1 root root 2056 May  6 12:42 gpccs_data.bin
              lrwxrwxrwx 1 root root   29 May  6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin
              -rw-r--r-- 1 root root   76 May  6 12:42 gpccs_sig.bin
              lrwxrwxrwx 1 root root   33 May  6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin
              lrwxrwxrwx 1 root root   25 May  6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin
              lrwxrwxrwx 1 root root   33 May  6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin
              lrwxrwxrwx 1 root root   28 May  6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bin
              Is that a failed install, is there old code in the stack?

              Comment


              • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

                My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
                For my 980 i enabled the nouveau-driver.

                The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

                lib/firmware/nvidia/gm204/gr/

                it tries one level higher and fails to find the files.

                Code:
                nouveau 0000:01:00.0: Direct firmware load for nvidia/gm204/fecs_inst.bin failed with error -2
                nouveau 0000:01:00.0: gr: failed to load fecs_inst
                Code:
                [email protected]:~$ ll /lib/firmware/nvidia/gm204/
                
                total 0
                drwxr-xr-x 4 root root  36 Jul  1 05:25 ./
                drwxr-xr-x 9 root root 124 Jul  1 05:25 ../
                drwxr-xr-x 2 root root  75 Jul  1 05:26 acr/
                drwxr-xr-x 2 root root 272 Jul  1 05:26 gr/
                [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/
                total 6
                drwxr-xr-x 2 root root  272 Jul  1 05:26 ./
                drwxr-xr-x 4 root root   36 Jul  1 05:25 ../
                lrwxrwxrwx 1 root root   26 May  6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin
                -rw-r--r-- 1 root root 1968 May  6 12:42 fecs_data.bin
                lrwxrwxrwx 1 root root   28 May  6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin
                -rw-r--r-- 1 root root   76 May  6 12:42 fecs_sig.bin
                lrwxrwxrwx 1 root root   27 May  6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin
                -rw-r--r-- 1 root root 2056 May  6 12:42 gpccs_data.bin
                lrwxrwxrwx 1 root root   29 May  6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin
                -rw-r--r-- 1 root root   76 May  6 12:42 gpccs_sig.bin
                lrwxrwxrwx 1 root root   33 May  6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin
                lrwxrwxrwx 1 root root   25 May  6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin
                lrwxrwxrwx 1 root root   33 May  6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin
                lrwxrwxrwx 1 root root   28 May  6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bin
                Is that a failed install, is there old code in the stack?

                Comment


                • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

                  My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
                  For my 980 i enabled the nouveau-driver.

                  The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

                  lib/firmware/nvidia/gm204/gr/

                  it tries one level higher and fails to find the files.

                  Comment


                  • Code:
                    nouveau 0000:01:00.0: Direct firmware load for nvidia/gm204/fecs_inst.bin failed with error -2
                    nouveau 0000:01:00.0: gr: failed to load fecs_inst
                    Code:
                    [email protected]:~$ ll /lib/firmware/nvidia/gm204/
                    
                    total 0
                    drwxr-xr-x 4 root root  36 Jul  1 05:25 ./
                    drwxr-xr-x 9 root root 124 Jul  1 05:25 ../
                    drwxr-xr-x 2 root root  75 Jul  1 05:26 acr/
                    drwxr-xr-x 2 root root 272 Jul  1 05:26 gr/
                    [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/
                    total 6
                    drwxr-xr-x 2 root root  272 Jul  1 05:26 ./
                    drwxr-xr-x 4 root root   36 Jul  1 05:25 ../
                    lrwxrwxrwx 1 root root   26 May  6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin
                    -rw-r--r-- 1 root root 1968 May  6 12:42 fecs_data.bin
                    lrwxrwxrwx 1 root root   28 May  6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin
                    -rw-r--r-- 1 root root   76 May  6 12:42 fecs_sig.bin
                    lrwxrwxrwx 1 root root   27 May  6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin
                    -rw-r--r-- 1 root root 2056 May  6 12:42 gpccs_data.bin
                    lrwxrwxrwx 1 root root   29 May  6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin
                    -rw-r--r-- 1 root root   76 May  6 12:42 gpccs_sig.bin
                    lrwxrwxrwx 1 root root   33 May  6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin
                    lrwxrwxrwx 1 root root   25 May  6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin
                    lrwxrwxrwx 1 root root   33 May  6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin
                    lrwxrwxrwx 1 root root   28 May  6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bin
                    Is that a failed install, is there old code in the stack?

                    Comment


                    • I am a little confused about the interaction between the various sources of code needed for a working graphic environment.

                      My current system is running Kubuntu 16.04 with a current 4.4.0-28 kernel on a 64bit basis.
                      For my 980 i enabled the nouveau-driver.

                      The weird thing is that although both in the source archive for for the 4.4 Kernel from Ubuntu as well as the upstream repositories by Ben-Skeggs the firmware should be loaded from

                      /lib/firmware/nvidia/gm204/gr/

                      it tries one level higher and fails to find the files.

                      Code:
                      
                      
                      Code:
                      [email protected]:~$ ll /lib/firmware/nvidia/gm204/
                      
                      total 0
                      drwxr-xr-x 4 root root  36 Jul  1 05:25 ./
                      drwxr-xr-x 9 root root 124 Jul  1 05:25 ../
                      drwxr-xr-x 2 root root  75 Jul  1 05:26 acr/
                      drwxr-xr-x 2 root root 272 Jul  1 05:26 gr/
                      [email protected]:~$ ll /lib/firmware/nvidia/gm204/gr/
                      total 6
                      drwxr-xr-x 2 root root  272 Jul  1 05:26 ./
                      drwxr-xr-x 4 root root   36 Jul  1 05:25 ../
                      lrwxrwxrwx 1 root root   26 May  6 12:42 fecs_bl.bin -> ../../gm200/gr/fecs_bl.bin
                      -rw-r--r-- 1 root root 1968 May  6 12:42 fecs_data.bin
                      lrwxrwxrwx 1 root root   28 May  6 12:42 fecs_inst.bin -> ../../gm200/gr/fecs_inst.bin
                      -rw-r--r-- 1 root root   76 May  6 12:42 fecs_sig.bin
                      lrwxrwxrwx 1 root root   27 May  6 12:42 gpccs_bl.bin -> ../../gm200/gr/gpccs_bl.bin
                      -rw-r--r-- 1 root root 2056 May  6 12:42 gpccs_data.bin
                      lrwxrwxrwx 1 root root   29 May  6 12:42 gpccs_inst.bin -> ../../gm200/gr/gpccs_inst.bin
                      -rw-r--r-- 1 root root   76 May  6 12:42 gpccs_sig.bin
                      lrwxrwxrwx 1 root root   33 May  6 12:42 sw_bundle_init.bin -> ../../gm200/gr/sw_bundle_init.bin
                      lrwxrwxrwx 1 root root   25 May  6 12:42 sw_ctx.bin -> ../../gm200/gr/sw_ctx.bin
                      lrwxrwxrwx 1 root root   33 May  6 12:42 sw_method_init.bin -> ../../gm200/gr/sw_method_init.bin
                      lrwxrwxrwx 1 root root   28 May  6 12:42 sw_nonctx.bin -> ../../gm200/gr/sw_nonctx.bin
                      Is that a failed install, is there old code in the stack?

                      Comment

                      Working...
                      X